summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornatural <natural>2007-01-31 01:36:51 +0000
committernatural <natural>2007-01-31 01:36:51 +0000
commit12015e61bb83ef267602914ef45c1dad63dc1780 (patch)
treedd910f15f166cee6a82e1e300ef314aed62b2cd9
parent56f2ad9eea67c6dbca1b5b337c5c20659d3b9038 (diff)
downloadkberylsettings-12015e61bb83ef267602914ef45c1dad63dc1780.tar.gz
kberylsettings-12015e61bb83ef267602914ef45c1dad63dc1780.tar.bz2
Added autogen.shHEADmaster
-rwxr-xr-xautogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..4b9690d
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+glib-gettextize --copy --force || exit 1
+intltoolize --automake --copy --force || exit 1
+
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+